> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Loan list

> Get list of loans for a margin account.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /khaos/v1/loan/{accountNo}
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /khaos/v1/loan/{accountNo}:
    get:
      summary: Loan list
      description: Get list of loans for a margin account.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Margin account number.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  size:
                    type: number
                    format: double
                    description: Number of records.
                  content[].openingDate:
                    type: string
                    description: Loan opening date.
                  content[].dueDate:
                    type: string
                    description: Due date.
                  content[].renewTime:
                    type: number
                    format: double
                    description: Number of renewals.
                  content[].maxRenewTime:
                    type: number
                    format: double
                    description: Maximum renewals allowed.
                  content[].isRenewable:
                    type: boolean
                    description: 'Renewable: true/false.'
                  content[].reasonList:
                    type: array
                    items:
                      type: object
                    description: Reasons for non-renewal.
                  content[].insurance.insuranceName:
                    type: string
                    description: Marginsure package name.
                  content[].insurance.insuranceCode:
                    type: string
                    description: Marginsure package code.
                  content[].insurance.insuranceFee:
                    type: number
                    format: double
                    description: Marginsure fee.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.